/* Button */
.button {
  border-radius: 75px;
  font-family: var(--base-font), sans-serif;
  font-weight: 500;
  padding: 0.75rem 1.5rem;
  display: inline-flex;
  align-items: center;
  gap: 0.25rem;
}

.button:hover {
  cursor: pointer;
}

.button--primary {
  background-color: var(--main-blue-color);
  color: white;
}

.button--secondary {
  border: 1px solid var(--main-blue-color);
  color: var(--main-blue-color);
}

.button--link {
  color: var(--main-blue-color);
  padding: 0;
}

/* Project card */
.project-card__img {
  border-radius: 12px;
  width: 100%;
  height: auto;
}

.project-card__title {
  margin-top: 1rem;
  margin-bottom: 0.125rem;
}

/* Value card */
.value-card {
  background-color: white;
  border: 1px solid #e5f1f8;
  border-radius: 8px;
  padding: 1rem 1rem 1.5rem 1rem;
}

.value-card__header {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-family: var(--base-font), sans-serif;
  font-weight: 500;
  margin-bottom: 1rem;
}

.value-card__button {
  margin-top: 1.5rem;
}

/* Mockup (with modal) */
.mockup-placeholder {
  display: none;
  margin: 2rem 0;
}

.mockup-placeholder--visible {
  display: block;
}

.mockup {
  max-width: 52rem;
  position: relative;
}

.mockup--overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  background: #000000de;
  left: 0;
  right: 0;
  padding: 2rem 0;
  z-index: 2;
  transition: background 0.7s ease-in;
  max-width: 100%;
}

.mockup__scroll {
  cursor: pointer;
  max-height: 400px;
  border-radius: 12px;
  margin: 2rem 0;
  overflow: auto;
  padding: 2rem;
  text-align: center;
}

.mockup__scroll--modal {
  cursor: default;
  max-height: 100%;
  width: 85%;
  transition: all 0.7s ease-in-out;
  margin: 0 auto;
}

.mockup__legend {
  margin-bottom: 0.5rem;
}

.mockup__img {
  border: 4px solid #ffffffa6;
  border-radius: 12px;
  width: 100%;
  max-width: 500px;
  height: auto;
}

.mockup__video {
  display: block;
  margin: 0 auto;
  border: 4px solid #ffffffa6;
  border-radius: 12px;
  max-width: 250px;
}

.mockup__video--desktop {
  width: 100%;
  max-width: initial;
}

.mockup__button {
  padding: 1rem;
  background: white;
  border-radius: 50%;
  box-shadow: 0px 0px 5px 1px #6c6c6c4a;
  position: absolute;
  bottom: 1rem;
  right: 1rem;
}

.mockup__icon {
  display: block;
}

.mockup--desktop .mockup__scroll {
  height: 100%;
  max-height: 600px;
}

.mockup--desktop .mockup__scroll--modal {
  max-height: 100%;
}

.mockup--desktop .mockup__legend {
  display: none;
}

.mockup--desktop .mockup__scroll--modal .mockup__img {
  width: auto;
  max-width: initial;
  margin-right: 2rem;
}

/* Project data */
.project-data {
  margin-top: 3rem;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2rem;
}

.project-data__element:not(:last-child) {
  border-bottom: 1px solid #cfcfcf;
  padding-bottom: 1rem;
}

.project-data__number {
  font-weight: 500;
  font-size: 2.5rem;
}

/* Timeline card */
.timeline-card {
  margin-top: 1.5rem;
}

.timeline-card__title {
  margin-bottom: 0.4rem;
}

/* Rounded element (can be used as a link or not) */
.rounded-element {
  border: 1px solid #c9d4ee;
  border-radius: 100%;
  height: 35px;
  width: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Form */
form {
  max-width: 44rem;
}

input,
textarea {
  border: 1px solid var(--border-input);
  border-radius: 6px;
  display: block;
  padding: 0.75rem;
  margin: 0.5rem 0 1.5rem 0;
  width: 100%;
}

input:focus,
textarea:focus {
  border: 1px solid var(--main-blue-color);
}

textarea {
  min-height: 12rem;
}

label {
  display: block;
}

.contact__field {
  position: absolute;
  left: -9999px;
}

.contact__box {
  display: none;
  padding: 2rem;
  border-radius: 12px;
  margin-bottom: 1rem;
  align-items: start;
  gap: 0.5rem;
}

.contact__box--success {
  background: #dceedc;
}

.contact__box--success .contact__message {
  color: #0d480d;
}

.contact__box--error {
  background: #eedcdc;
}

.contact__box--error .contact__message {
  color: #480d0d;
}

.contact__box--visible {
  display: flex;
}

/* Filters */
.filter + .filter {
  margin-left: 0.5rem;
}

.filter {
  color: var(--main-blue-color);
  min-width: 3rem;
  text-align: center;
}

.filter--active {
  font-weight: 500;
  text-decoration: underline;
}

/* Media queries */
@media screen and (min-width: 22em) {
  .project-data {
    grid-template-columns: repeat(2, 1fr);
  }

  .project-data__element:not(:last-child) {
    border-bottom: none;
  }

  .project-data__element:nth-child(odd) {
    border-right: 1px solid #cfcfcf;
  }
}

@media screen and (min-width: 44em) {
  .project-data {
    grid-template-columns: repeat(4, 1fr);
  }

  .project-data__element:not(:last-child) {
    border-right: 1px solid #cfcfcf;
  }
}

@media screen and (min-width: 80em) {
  .project-data {
    position: absolute;
    top: 10rem;
    right: 0;
    grid-template-columns: 1fr;
    gap: 3rem;
    width: 20%;
  }

  .project-data__element:not(:last-child) {
    border-bottom: 1px solid #cfcfcf;
    border-right: none;
    padding-bottom: 2rem;
  }
}
